## org.apache.hadoop.mapreduce.security.token.delegation
Class DelegationTokenSelector

    java.lang.Object
      org.apache.hadoop.security.token.delegation.AbstractDelegationTokenSelector<DelegationTokenIdentifier>
          org.apache.hadoop.mapreduce.security.token.delegation.DelegationTokenSelector

All Implemented Interfaces:
  TokenSelector<DelegationTokenIdentifier>

    public class DelegationTokenSelector

extends AbstractDelegationTokenSelector<DelegationTokenIdentifier>

A delegation token that is specialized for MapReduce

Constructor Summary
`DelegationTokenSelector()`

Method Summary

Methods inherited from class org.apache.hadoop.security.token.delegation.AbstractDelegationTokenSelector
`selectToken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegationTokenSelector

    public DelegationTokenSelector()

Copyright © 2009 The Apache Software Foundation